> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelockdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Category



## OpenAPI

````yaml POST /evidences/{COMPANY_ID}/category
openapi: 3.0.0
info:
  title: TimeLockData API
  description: Public API for evidence management and blockchain traceability
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.timelockdata.com/api/v1
    description: Production
security: []
tags: []
paths:
  /evidences/{COMPANY_ID}/category:
    post:
      tags:
        - Evidence Management
      summary: Add a category
      operationId: DigitalTwinController_addCategory
      parameters:
        - name: COMPANY_ID
          required: true
          in: path
          description: Company identifier
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddCategoryRequest'
      responses:
        '201':
          description: Category created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddCategoryResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyAuth: []
components:
  schemas:
    AddCategoryRequest:
      type: object
      properties:
        name:
          type: string
          description: Name of the category
        description:
          type: string
          description: Description of the category
        image:
          description: Image file for the category
          allOf:
            - $ref: '#/components/schemas/Blob'
      required:
        - name
    AddCategoryResponse:
      type: object
      properties:
        id:
          type: string
          description: ID of the newly created category or subcategory
      required:
        - id
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
      required:
        - error
    Blob:
      type: object
      properties: {}
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````